Subject: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: martin rudalics <[email-masked]>
Date: Fri, 09 Aug 2013 14:23:13 +0200

> And FWIW, I've just noticed that, at least in the Windows port, this
 > problem is already fixed when both the menu bar and the tool bar are
 > hidden.
 >
 > See the attached screenshots.  They show a fullscreen "emacs -Q" session.
 > * The first one has the menu and tool bars visible, and the echo area
 > takes too much, unnecessary vertical space.
 > * The second one has the menu and toll bars hidden, and now the
 > leftover space is given to the main windows (correct).

What you see is probably an optical illusion.  With the current trunk,
leftover background space is colored correctly by Windows, but the
fringes and scrollbar (of the minibuffer window) don't cover the entire
screen.  Unless the screen size is a multiple of Emacs' frame character
height.

martin